## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: rlottie
Version: 0.2

%global forgeurl https://github.com/Samsung/%{name}
%global commit e3026b1e1a516fff3c22d2b1b9f26ec864f89a82

%global forgeurl1 https://github.com/kuba--/zip
%global tag1 v0.3.2

%forgemeta -a

Release: %autorelease

# Main source: MIT
# kuba--/zip - Unlicense
# miniz - MIT AND Unlicense
# freetype rasterizer - FTL
# vinterpolator.cpp (modified from mozilla/gecko-dev/dom/smil/SMILKeySpline.cpp) - MPL-1.1
# pixman arm neon routines - MIT
License: MIT AND FTL AND BSD-3-Clause AND MPL-1.1 AND (MIT AND Unlicense)
Summary: Platform independent standalone library that plays Lottie Animation

URL: %{forgeurl}
Source0: %{forgesource}
Source1: %{forgesource1}
# https://github.com/Samsung/rlottie/pull/553.patch
# Use GNUInstallDirs
Patch0: 0001-cmake-fix.patch
# https://github.com/Samsung/rlottie/pull/549.patch
Patch1: 0002-fix-keyframe-end-time.patch
# https://github.com/Samsung/rlottie/pull/554.patch
# Required for unit tests to pass
Patch2: 0003-fix-tests.patch
Patch3: 0004-update-zip.patch

BuildRequires: gcc
BuildRequires: gcc-c++

BuildRequires: cmake
BuildRequires: cmake(GTest)
BuildRequires: stb_image-static
BuildRequires: rapidjson-static

Provides: bundled(minizip) = 3.0.2
Provides: bundled(kuba-zip) = %{tag1}

%description
rlottie is a platform independent standalone c++ library for rendering
vector based animations and art in realtime.

Lottie loads and renders animations and vectors exported in the bodymovin
JSON format. Bodymovin JSON can be created and exported from After Effects
with bodymovin, Sketch with Lottie Sketch Export, and from Haiku.

For the first time, designers can create and ship beautiful animations
without an engineer painstakingly recreating it by hand. Since the animation
is backed by JSON they are extremely small in size but can be large in
complexity!

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains headers and development files for %{name}.

%prep
%forgeautosetup -p1

# Unbundle / upgrade deps
rm -rfv src/vector/stb/stb_image.h src/lottie/zip/*.{h,cpp} src/lottie/rapidjson
tar -xf %{SOURCE1} -C src/lottie/zip --strip-components=2 --wildcards "*/src/*"

%build
%cmake -DBUILD_TESTING:BOOL=ON -DLOTTIE_MODULE:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc AUTHORS README.md
%license COPYING licenses/*
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/

%changelog
## START: Generated by rpmautospec
* Fri Nov 01 2024 Zephyr Lykos <git@mochaa.ws> - 0.2-16
- Update to snapshot e3026b1e1a516fff3c22d2b1b9f26ec864f89a82

* Tue Apr 30 2024 Zephyr Lykos <git@mochaa.ws> - 0.2-15
- Unbundle & upgrade dependencies

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

## END: Generated by rpmautospec
